Bug 1949480 - Listeners timeout are constantly being updated
Summary: Listeners timeout are constantly being updated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.8.0
Assignee: Maysa Macedo
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-14 11:51 UTC by Maysa Macedo
Modified: 2021-07-27 23:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:00:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 503 0 None open Bug 1949480: Fix constant update of Listeners timeout 2021-04-14 20:26:46 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:00:47 UTC

Description Maysa Macedo 2021-04-14 11:51:39 UTC
Description of problem:

The listeners timeout are constantly updated with Octavia default values for the timeouts, even if no Kuryr annotation was set on the respective Service. The constant execution of this task makes all the Load Balancers on the cluster to be stuck with PENDING_UPDATE status.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Maysa Macedo 2021-04-27 10:54:17 UTC
To verify/reproduce the issue an OCP cluster needs to installed and let it UP for a 30 minutes. Check that all Load Balancers remains ACTIVE and that the default/kubernetes Load Balancer Listener has the following parameters set  timeout_client_data = 600000, timeout_member_data = 600000

Comment 3 Itzik Brown 2021-05-03 03:21:33 UTC
Verified with:
OCP 4.8.0-0.nightly-2021-04-30-201824
OSP16.1 RHOS-16.1-RHEL-8-20210323.n.0
(shiftstack) [stack@undercloud-0 ~]$ openstack loadbalancer listener show 7a12f889-6792-4ee8-aab0-3cece7d6bc0f
+-----------------------------+--------------------------------------+
| Field                       | Value                                |
+-----------------------------+--------------------------------------+
| admin_state_up              | True                                 |
| connection_limit            | -1                                   |
| created_at                  | 2021-05-03T02:20:33                  |
| default_pool_id             | f537e64e-1fff-4367-be6f-ba9d965378d7 |
| default_tls_container_ref   | None                                 |
| description                 |                                      |
| id                          | 7a12f889-6792-4ee8-aab0-3cece7d6bc0f |
| insert_headers              | None                                 |
| l7policies                  |                                      |
| loadbalancers               | 29191d93-a681-437e-9cce-ff97a10d41c2 |
| name                        | default/kubernetes:TCP:443           |
| operating_status            | ONLINE                               |
| project_id                  | 0abc3e3c8dc14854be76abd6695c00fe     |
| protocol                    | TCP                                  |
| protocol_port               | 443                                  |
| provisioning_status         | ACTIVE                               |
| sni_container_refs          | []                                   |
| timeout_client_data         | 600000                               |
| timeout_member_connect      | 5000                                 |
| timeout_member_data         | 600000                               |
| timeout_tcp_inspect         | 0                                    |
| updated_at                  | 2021-05-03T02:51:28                  |
| client_ca_tls_container_ref | None                                 |
| client_authentication       | NONE                                 |
| client_crl_container_ref    | None                                 |
| allowed_cidrs               | None                                 |
+-----------------------------+--------------------------------------+
(shiftstack) [stack@undercloud-0 ~]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-04-30-201824   True        False         27m     Cluster version is 4.8.0-0.nightly-2021-04-30-201824


(shiftstack) [stack@undercloud-0 ~]$ openstack loadbalancer list -c provisioning_status -f value |grep -v ACTIVE
(shiftstack) [stack@undercloud-0 ~]$

Comment 6 errata-xmlrpc 2021-07-27 23:00:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.